import {setVariable} from './util/css';

/**
 * Za postavke u arrayu automatski postavlja vrijednost CSS
 * varijable istog imena.
 */
[
    'spinner_size',
    'spinner_border_width',
    'spinner_border_color',
    'spinner_color',
    'spinner_speed'

].forEach(function(name) {
    wp.customize(name, function(setting) {
        setting.bind(function(value) {
            setVariable('--' + name.replace(/_/g, '-'), value);
        });
    });
});