<?php
/**
 * Plugin Name: EP Core
 * Description: Skup korisnih komponenti.
 * Version:     dev-master
 * Author:      Elektronika Perhoč
 * Author URI:  http://ep.hr/
 */

define('EP_CORE_VERSION', '1.2');
define('EP_CORE_URL', plugin_dir_url(__FILE__));

require_once __DIR__ . '/includes/services.php';
require_once __DIR__ . '/includes/setup.php';
require_once __DIR__ . '/includes/smtp.php';

// Komponente
add_action('plugins_loaded', 'ep_core_components');

// Front-end
add_action('wp_head', 'ep_core_inline_scripts');
add_action('wp_enqueue_scripts', 'ep_core_assets');
add_action('admin_enqueue_scripts', 'ep_core_admin_assets');
add_action('admin_head', 'ep_core_inline_scripts');

// Customizer
add_action('customize_controls_enqueue_scripts', 'ep_core_customizer_controls');
add_action('customize_preview_init', 'ep_core_customizer_preview');
