<?php
namespace EpOld\Customize;

use WP_Customize_Control;

/**
 * Omogućava ispis proizvoljnog HTML-a u customizer panelu.
 *
 * @package Ep\Customize
 */
class HtmlControl extends WP_Customize_Control
{
	public $type = 'html';
	public $html = '';

	/**
	 * Renderira sadržaj.
	 */
	protected function render_content()
    {
		?>
        <label>
			<?php if (!empty($this->label)): ?>
                <span class="customize-control-title"><?php echo esc_html($this->label); ?></span>
			<?php endif;

			if (!empty($this->description)): ?>
                <span class="description customize-control-description"><?php echo $this->description; ?></span>
			<?php endif; ?>

            <div class="html">
                <?= $this->html; ?>
            </div>
        </label>
		<?php
	}
}